<?php

add_theme_support( 'automatic-feed-links' );
add_editor_style();
//add_custom_image_header();

/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) )
	$content_width = 735;

/*-----------------------------------------------------------------------------------*/
/*	Custom Menus
/*-----------------------------------------------------------------------------------*/
function register_main_menus() {
	register_nav_menus(
		array(
			'primary-nav' => __( 'Primary Nav','junkie' ),
			'secondary-nav' => __( 'Secondary Nav','junkie' ),			
		)
	);
}

if (function_exists('register_nav_menus')) add_action( 'init', 'register_main_menus' );

/*-----------------------------------------------------------------------------------*/
/*	Register and deregister Scripts files	
/*-----------------------------------------------------------------------------------*/
if(!is_admin()) {
	
	add_action( 'wp_print_scripts', 'my_deregister_scripts',8 );
}

function my_scripts_styles() {
	/* register css */
	wp_register_style('fancybox', get_template_directory_uri().'/includes/css/fancybox.css');
	wp_register_style('jplayer', get_template_directory_uri().'/includes/js/jPlayer/skin/default.css');
	
	wp_enqueue_style( 'theme', get_stylesheet_uri() );
	wp_enqueue_style( 'color', get_template_directory_uri().'/css/color-'.strtolower(get_option('pinable_theme_stylesheet')).'.css');	
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/css/font-awesome.min.css');
	wp_enqueue_style( 'responsive', get_template_directory_uri().'/css/responsive.css');		
	wp_enqueue_style( 'custom', get_template_directory_uri().'/css/custom.css');

	if ( is_singular() && get_option('thread_comments') )
		wp_enqueue_script( 'comment-reply' );
		
		wp_enqueue_style( 'jplayer','shortcodes');
		wp_enqueue_style( 'fancybox','jplayer' );		
		
	if ( get_option('pinable_layout') == 'Fixed' ) {
		wp_deregister_style('responsive');
	}		
		
}

add_action( 'wp_enqueue_scripts', 'my_scripts_styles' );


function my_deregister_scripts() {

	/* register scripts */
	wp_register_script('jquery-ui', get_template_directory_uri().'/includes/js/jquery-ui-1.10.3.custom.min.js', false, '1.10.3');
	wp_register_script('jquery-isotope', get_template_directory_uri().'/includes/js/jquery.isotope.min.js', false, '1.5.25');
	wp_register_script('jquery-infinitescroll', get_template_directory_uri().'/includes/js/jquery.infinitescroll.min.js', false, '2.0b2.120519'); 
	wp_register_script('browser-detect', get_template_directory_uri().'/includes/js/browser-detect.js', false, '1.0');
	wp_register_script('jquery-jplayer', get_template_directory_uri().'/includes/js/jPlayer/jquery.jplayer.js', false, '2.4.0');
	wp_register_script('jquery-fitvids', get_template_directory_uri().'/includes/js/jquery.fitvids.js', false, '1.0');
	wp_register_script('jquery-imagesloaded', get_template_directory_uri().'/includes/js/jquery.imagesloaded.min.js', false, '1.0');
	wp_register_script('jquery-fancybox', get_template_directory_uri().'/includes/js/fancybox.js', false, '2.1.5');
	wp_register_script('jquery-superfish', get_template_directory_uri().'/includes/js/superfish.js', false, '1.4.8');	
	wp_register_script('jquery-custom-single', get_template_directory_uri().'/includes/js/custom-single.js', array("tj_shortcodes"), '1.0');	
	wp_register_script('jquery-cookie', get_template_directory_uri().'/includes/js/jquery.cookie.js', false, '1.4.0');
	wp_register_script('jquery-custom', get_template_directory_uri().'/includes/js/custom.js',  array("tj_shortcodes"), '1.0');	
	wp_register_script('jquery-responsive', get_template_directory_uri().'/includes/js/responsive.js', false, '1.0');	
	wp_enqueue_script('jquery');
	wp_enqueue_script('jquery-ui');
	wp_enqueue_script('jquery-superfish');	
	
	if ( is_home()||is_archive() || is_search()){
		wp_enqueue_script( 'jquery-isotope');
		wp_enqueue_script( 'jquery-infinitescroll');
		wp_enqueue_script( 'browser-detect');
		wp_enqueue_script( 'jquery-jplayer');
		wp_enqueue_script( 'jquery-imagesloaded');
		wp_enqueue_script( 'jquery-fancybox');
		wp_enqueue_script( 'jquery-fitvids');
		global $shortname;
		echo "<script type='text/javascript'>var custom_num='".get_option($shortname."_home_loadbar")."'; var element_width_px=".get_option($shortname."_home_element").";</script>";
		wp_enqueue_script( 'jquery-custom');
		wp_enqueue_script( 'jquery-cookie');
	}
	if ( is_singular() ){
		wp_enqueue_script( 'browser-detect');
		wp_enqueue_script( 'jquery-jplayer');
		wp_enqueue_script( 'jquery-imagesloaded');
		wp_enqueue_script( 'jquery-fancybox');
		wp_enqueue_script( 'jquery-fitvids');
		wp_enqueue_script( 'jquery-custom-single');
		wp_enqueue_script( 'jquery-cookie');
	}
	wp_enqueue_script( 'jquery-responsive');
	
	if ( get_option('pinable_layout') == 'Fixed' ) {
		wp_deregister_script('jquery-responsive');
	}
			
}

/*-----------------------------------------------------------------------------------*/
/*	Exclude Pages from Search Results
/*-----------------------------------------------------------------------------------*/
function tj_exclude_pages($query) {
        if ($query->is_search) {
        $query->set('post_type', 'post');
                                }
        return $query;
}
add_filter('pre_get_posts','tj_exclude_pages');

/*-----------------------------------------------------------------------------------*/
/*	Get Limit Excerpt or content
@max_char
@more_link_text
@stripteaser
/*-----------------------------------------------------------------------------------*/
function tj_content_limit($max_char, $more_link_text = '', $stripteaser = 0) {
	$excerpt = get_the_excerpt();
    $excerpt?$content =$excerpt:$content = get_the_content($more_link_text, $stripteaser);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
      echo "";
      echo $content;
      echo "...";
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "";
        echo $content;
        echo "...";
   }
   else {
      echo "";
      echo $content;
   }
}
/*-----------------------------------------------------------------------------------*/
/*	string_limit
@str
@start
@width
@trimmarker
expr: echo fun_string_limit(get_the_title(),0,60,'...');
/*-----------------------------------------------------------------------------------*/

function fun_string_limit($str ,$start ,$width ,$trimmarker ){
	$output = trim(preg_replace('/^(?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,'.$start.'}((?:[\x00-\x7F]|[\xC0-\xFF][\x80-\xBF]+){0,'.$width.'}).*/s','\1',$str));
	return $output.$trimmarker;
}
/*-----------------------------------------------------------------------------------*/
/*	Comment Styling
/*-----------------------------------------------------------------------------------*/

if ( !function_exists( 'tj_comment' ) ) {
	function tj_comment($comment, $args, $depth) {
	
	    $isByAuthor = false;
	
	    if($comment->comment_author_email == get_the_author_meta('email')) {
	        $isByAuthor = true;
	    }
	
        $GLOBALS['comment'] = $comment; ?>
        <li <?php comment_class(($isByAuthor ? 'author-comment' : '')); ?> id="li-comment-<?php comment_ID() ?>">

            <div id="comment-<?php comment_ID(); ?>">
                <div class="line"></div>
                
                <?php echo get_avatar($comment,$size='36'); ?>
                
                <div class="comment-author vcard">
                    <?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>', 'junkie'), get_comment_author_link()) ?>
                </div>

                <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s', 'junkie'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)', 'junkie'),'  ','') ?> / <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></div>

                <?php if ($comment->comment_approved == '0') : ?>
                    <em class="moderation"><?php _e('Your comment is awaiting moderation.', 'junkie') ?></em>
                    <br />
                <?php endif; ?>

                <div class="comment-body">
                    <?php comment_text() ?>
                </div>

            </div>
	<?php
	}
}

/*-----------------------------------------------------------------------------------*/
/*	Seperated Pings Styling
/*-----------------------------------------------------------------------------------*/

if ( !function_exists( 'tj_list_pings' ) ) {
	function tj_list_pings($comment, $args, $depth) {
	    $GLOBALS['comment'] = $comment; ?>
		<li id="comment-<?php comment_ID(); ?>"><?php comment_author_link(); ?>
		<?php 
	}
}

/*-----------------------------------------------------------------------------------*/
/*	Turn a category ID to a Name
/*-----------------------------------------------------------------------------------*/
function cat_id_to_name($id) {
	foreach((array)(get_categories()) as $category) {
    	if ($id == $category->cat_ID) { return $category->cat_name; break; }
	}
}
/*-----------------------------------------------------------------------------------*/
/*	Print an excerpt by specifying a maximium number of characters.
/*-----------------------------------------------------------------------------------*/
function the_excerpt_max_charlength($charlength) {
	$excerpt = get_the_excerpt();
	$charlength++;
	if ( mb_strlen( $excerpt ) > $charlength ) {
		$subex = mb_substr( $excerpt, 0, $charlength - 5 );
		$exwords = explode( ' ', $subex );
		$excut = - ( mb_strlen( $exwords[ count( $exwords ) - 1 ] ) );
		if ( $excut < 0 ) {
			echo mb_substr( $subex, 0, $excut );
		} else {
			echo $subex;
		}
		echo '...';
	} else {
		echo $excerpt." ...";
	}
}

/*-----------------------------------------------------------------------------------*/
/*	Add thumbnail to posts and page list
/*-----------------------------------------------------------------------------------*/
add_theme_support('post-thumbnails', array( 'post', 'page' ) );
// for posts
add_filter( 'manage_posts_columns', 'junkie_add_thumb_column' );
add_action( 'manage_posts_custom_column', 'junkie_add_thumb_value', 10, 2 );
// for pages
add_filter( 'manage_pages_columns', 'junkie_add_thumb_column' );
add_action( 'manage_pages_custom_column', 'junkie_add_thumb_value', 10, 2 );
function junkie_add_thumb_column($cols) {
	$cols['thumbnail'] = __('Thumbnail', 'junkie');
	return $cols;
}
function junkie_add_thumb_value($column_name, $post_id) {
	$width = (int) 60;
	$height = (int) 60;
	if ( 'thumbnail' == $column_name ) {
		// thumbnail of WP 2.9
		$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
		// image from gallery
		$attachments = get_children( array('post_parent' => $post_id, 'post_type' => 'attachment', 'post_mime_type' => 'image') );
		if ($thumbnail_id)
			$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
			elseif ($attachments) {
			foreach ( $attachments as $attachment_id => $attachment ) {
				$thumb = wp_get_attachment_image( $attachment_id, array($width, $height), true );
			}
		}
		if ( isset($thumb) && $thumb ) {
			echo $thumb;
			} else {
			echo __('None','junkie');
		}
	}
}


/*-----------------------------------------------------------------------------------*/
/*	Disable Autosave WP3.0+
/*-----------------------------------------------------------------------------------*/
remove_action('pre_post_update', 'wp_save_post_revision');
add_action('wp_print_scripts','disable_autosave');
function disable_autosave() {
	wp_deregister_script('autosave');
}

/*-----------------------------------------------------------------------------------*/
/*	Like It
/*-----------------------------------------------------------------------------------*/
add_action('like_me', 'function_like_me');
function function_like_me($post_id) 
{
	//delete_post_meta_by_key( 'junkie_likeit' );
	if(get_post_meta($post_id,'junkie_likeit', true)){
		$data=get_post_meta($post_id, 'junkie_likeit',true);
		$data++;
		update_post_meta($post_id, 'junkie_likeit', $data);
		echo get_post_meta($post_id, 'junkie_likeit',true);
	}else{
		add_post_meta( $post_id, 'junkie_likeit', 1 );
		echo "1";
	}
}

add_filter('upload_mimes', 'custom_upload_mimes');
function custom_upload_mimes ( $existing_mimes=array() ) {
	$existing_mimes['doc'] = 'application/msword'; 
	$existing_mimes['webm'] = 'audio/webm';
	$existing_mimes['flv'] = 'video/x-flv';
	$existing_mimes['m4p'] = 'videoideo/mp4v-es';
	$existing_mimes['m4v'] = 'video/mp4';
	$existing_mimes['ogv'] = 'video/ogg';
	return $existing_mimes;
}


?>